Package com.macrofocus.common.interval

# Class AbstractMutableInterval

java.lang.Object
com.macrofocus.common.interval.AbstractMutableInterval

All Implemented Interfaces:
  `Interval`, `MutableInterval`

Direct Known Subclasses:
  `AbstractBoundedInterval`, `ClosedInterval`

public abstract class AbstractMutableInterval extends Object implements MutableInterval
This class provides a skeletal implementation of the MutableInterval interface to minimize the effort required to implement this interface.

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `AbstractMutableInterval()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addIntervalListener(IntervalListener listener)`
  `void`
  `addWeakIntervalListener(IntervalListener listener)`
  `protected void`
  `notifyIntervalChanged(IntervalEvent event)`
  `void`
  `removeIntervalListener(IntervalListener listener)`
  `void`
  `removeIntervalListeners()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface com.macrofocus.common.interval.Interval

  `contains, containsInterval, containsStartEnd, getEnd, getExtent, getStart, isDegenerate, isInverted, overlaps, overlapsInterval`

  ### Methods inherited from interface com.macrofocus.common.interval.MutableInterval

  `getEndProperty, getStartProperty, setEnd, setExtent, setStart, setValue`

- ## Constructor Details

  - ### AbstractMutableInterval

    protected AbstractMutableInterval()

- ## Method Details

  - ### addIntervalListener

    public void addIntervalListener(IntervalListener listener)
    Specified by:
      `addIntervalListener` in interface `Interval`

  - ### addWeakIntervalListener

    public void addWeakIntervalListener(IntervalListener listener)
    Specified by:
      `addWeakIntervalListener` in interface `Interval`

  - ### removeIntervalListener

    public void removeIntervalListener(IntervalListener listener)
    Specified by:
      `removeIntervalListener` in interface `Interval`

  - ### removeIntervalListeners

    public void removeIntervalListeners()
    Specified by:
      `removeIntervalListeners` in interface `Interval`

  - ### notifyIntervalChanged

    protected void notifyIntervalChanged(IntervalEvent event)